Skip to main content
GET
/
assets
/
inputs
/
stream
[beta] List asset inputs data in an organization.
curl --request GET \
  --url https://api.samsara.com/assets/inputs/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "asset": {
        "id": "12345",
        "attributes": [
          {
            "dateValues": [
              "2024-01-15",
              "2024-12-31"
            ],
            "id": "494123",
            "name": "Compliance/ELD",
            "numberValues": [
              867,
              5309
            ],
            "stringValues": [
              "HQ",
              "Leased"
            ]
          }
        ],
        "externalIds": {},
        "tags": [
          {
            "id": "3914",
            "name": "East Coast",
            "parentTagId": "4815"
          }
        ]
      },
      "happenedAtTime": "2020-01-27T07:06:25Z",
      "units": "boolean",
      "value": "1",
      "auxInput": {
        "name": "PTO"
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids
string[]
required

Comma-separated list of asset IDs. Limited to 100 ID's for each request.

type
enum<string>
required

Input stat type to query for. Valid values: auxInput1, auxInput2, auxInput3, auxInput4, auxInput5, auxInput6, auxInput7, auxInput8, auxInput9, auxInput10, auxInput11, auxInput12, auxInput13, analogInput1Voltage, analogInput2Voltage, analogInput1Current, analogInput2Current, batteryVoltage

Available options:
auxInput1,
auxInput2,
auxInput3,
auxInput4,
auxInput5,
auxInput6,
auxInput7,
auxInput8,
auxInput9,
auxInput10,
auxInput11,
auxInput12,
auxInput13,
analogInput1Voltage,
analogInput2Voltage,
analogInput1Current,
analogInput2Current,
batteryVoltage
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

startTime
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string

An end time in RFC 3339 format. Defaults to never if not provided; if not provided then pagination will not cease, and a valid pagination cursor will always be returned. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

includeTags
boolean

Optional boolean indicating whether to return tags on supported entities

includeAttributes
boolean

Optional boolean indicating whether to return attributes on supported entities

Response

OK response.

data
object[]
required

Array of assets inputs objects.

pagination
object
required

Pagination parameters.